Package Details: kdevelop-git 0.0.0-7

Git Clone URL: https://aur.archlinux.org/kdevelop-git.git (read-only)
Package Base: kdevelop-git
Description: A C/C++ development environment for KDE. (Git version)
Upstream URL: http://www.kdevelop.org
Licenses: GPL
Conflicts: kdevelop, kdevplatform
Provides: kdevelop, kdevplatform, kdevplatform-git
Replaces: kdevplatform-git
Submitter: mosra
Maintainer: Aetf
Last Packager: Aetf
Votes: 84
Popularity: 0.000055
First Submitted: 2010-05-05 21:15
Last Updated: 2018-01-22 21:14

Dependencies (40)

Required by (7)

Sources (1)

Latest Comments

« First ‹ Previous ... 7 8 9 10 11 12

ilpianista commented on 2010-12-06 16:48

try build with subversion, then remove it and start kdevelop.

I think that optional is intended as you can build kdevplatform with or without that support, but if you build with subversion you need subversion installed.

Also, we do not need boost at all, but boost-libs.

ilpianista commented on 2010-12-06 16:46

sorry for the late reply, as you can read it needs boost libraries (which are in boost-libs, boost is needed only at compile time)

ilpianista commented on 2010-12-06 16:44

sorry for the late reply, as you can read it needs boost libraries (which are in boost-libs, boost is needed only at compile time)

mosra commented on 2010-11-30 19:05

QJSON, Subversion (and Boost, too) are marked as optional in CMake log, shouldn't they rather be in optdepends?

-----------------------------------------------------------------------------
-- The following external packages were located on your system.
-- This installation will have the extra features provided by these packages.
-----------------------------------------------------------------------------
* Boost - Boost libraries for enabling the classbrowser
* Subversion - Support for Subversion integration
* QJson - QJson support for Uploading Patches to reviewboard

ilpianista commented on 2010-11-30 11:18

please fix dependencies and makedependencies
depends=('kdelibs' 'boost-libs' 'subversion' 'qjson')
makedepends=('cmake' 'automoc4' 'boost' 'git')

mosra commented on 2010-11-24 16:25

Updated package - KDevelop is finally on git.kde.org.

mosra commented on 2010-11-24 16:23

Updated package - KDevelop is finally on git.kde.org.

mosra commented on 2010-09-09 13:20

I made patched version of kdelibs which fixes KDevelop crashes (and you can now use git master again). See my blog post: http://mosra.cz/blog/article.php?a=9-patched-kdelibs-for-running-kdevelop-from-git-without-crashes

I didn't add that kdelibs package in AUR, because I don't know whether it has any stability issues. Fixed KDE 4.5.2 will be released in three weeks.

mosra commented on 2010-09-08 16:48

Current version crashes regularly with KDE 4.5.1 and lower, will be fixed in 4.5.2. See this blog post for possible solutions:
http://milianw.de/blog/beware-of-kdevelop-master-and-kdelibs-451-or-lower